import * as d3 from 'd3';
import { Mark } from './Mark';
export declare class Image extends Mark {
    render(): Promise<void>;
    set_positional_scales(): void;
    set_ranges(): void;
    create_listeners(): void;
    update_image(): void;
    remove(): void;
    relayout(): void;
    img_send_message(event_name: any, data: any): void;
    draw(animate?: any): void;
    clear_style(style_dict: any, indices?: any, elements?: any): void;
    compute_view_padding(): void;
    set_default_style(indices: any, elements?: any): void;
    set_style_on_elements(style: any, indices: any, elements?: any): void;
    im: d3.Selection<SVGImageElement, any, any, any>;
}
